%define api		1.0
%define major		6
%define libname		%mklibname dleyna-core %{api} %{major}
%define develname	%mklibname -d dleyna-core %{api}

Name:		dleyna-core
Version:	0.7.0
Release:	%mkrel 1
Summary:	Utilities for higher level dLeyna libraries
Group:		System/Libraries
License:	LGPLv2
URL:		https://01.org/dleyna/
Source0:	https://github.com/phako/dleyna-core/archive/v%{version}/%{name}-%{version}.tar.gz
Patch:		0001-Update-README.md.patch
Patch:		0002-build-Set-more-project-options.patch
Patch:		0003-Add-gasync-task-from-renderer.patch
Patch:		0004-Rename-white-list-context-filter.patch
Patch:		0005-Port-to-GUPnP-1.6.patch

BuildRequires:	meson
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gupnp-1.6)

%description
A set of utility functions that are used by the higher level dLeyna libraries
to communicate with DLNA devices. It provides APIs for logging, error, settings
and task management, and an IPC abstraction.


%package -n %{libname}
Summary:	Utilities for higher level dLeyna libraries
Group:		System/Libraries

%description -n %{libname}
A set of utility functions that are used by the higher level dLeyna libraries
to communicate with DLNA devices. It provides APIs for logging, error, settings
and task management, and an IPC abstraction.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files -n %{libname}
%license COPYING
%{_libdir}/libdleyna-core-%{api}.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog README*
%{_libdir}/libdleyna-core-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc

%dir %{_includedir}/dleyna-%{api}
%dir %{_includedir}/dleyna-%{api}/libdleyna
%{_includedir}/dleyna-%{api}/libdleyna/core


%changelog
* Mon Sep 19 2022 wally <wally> 0.7.0-1.mga9
+ Revision: 1890448
- new version 0.7.0 from new github fork
- new lib major 6
- add patches for GUPnP 1.6 API support

* Thu Mar 31 2022 umeabot <umeabot> 0.6.0-3.mga9
+ Revision: 1836659
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.6.0-2.mga8
+ Revision: 1523859
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Mar 14 2019 daviddavid <daviddavid> 0.6.0-1.mga7
+ Revision: 1376619
- new version: 0.6.0
- port to new GUPnP API 1.2

* Sun Sep 23 2018 umeabot <umeabot> 0.5.0-3.mga7
+ Revision: 1297460
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 953788
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 cjw <cjw> 0.5.0-1.mga6
+ Revision: 847320
- 0.5.0

* Sun Nov 16 2014 cjw <cjw> 0.4.0-1.mga5
+ Revision: 797585
- imported package dleyna-core


* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Jan 15 2014 Bastien Nocera <bnocera@redhat.com> 0.4.0-1
- Update to 0.4.0

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Debarshi Ray <rishi@fedoraproject.org> - 0.1.0-1
- Initial spec.
